org.apache.olingo.odata2.jpa.processor.api.model

## Interface JPAEdmNavigationPropertyView

- All Superinterfaces:
    JPAEdmBaseView

      public interface JPAEdmNavigationPropertyView
      extends JPAEdmBaseView

  A view on Java persistence entity relationship and EDM navigation property. Java persistence entity relationships annotated as
  1. Many To Many
  2. One To Many
  3. One To One
  4. Many To One
  are transformed into navigation properties.

  The implementation of the view provides access to EDM navigation properties for a given JPA EDM entity type. The view acts as a container for consistent list of EDM navigation properties of an EDM entity type. EDM navigation property is consistent only if there exists a consistent EDM association.

  See Also:
    `JPAEdmAssociationView`
  Do not implement this interface or derive from class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addJPAEdmNavigationPropertyView(JPAEdmNavigationPropertyView view)` The method adds a navigation property view to its container.
    `List<NavigationProperty>` | `getConsistentEdmNavigationProperties()` The method returns a consistent list of EDM navigation property.
    `NavigationProperty` | `getEdmNavigationProperty()` The method returns the navigation property that is currently being processed.

    - ### Methods inherited from interface org.apache.olingo.odata2.jpa.processor.api.model.JPAEdmBaseView

      `clean, getBuilder, getJPAEdmExtension, getJPAEdmMappingModelAccess, getJPAMetaModel, getpUnitName, isConsistent, isDefaultNamingSkipped`

- - ### Method Detail

    - #### addJPAEdmNavigationPropertyView

          void addJPAEdmNavigationPropertyView(JPAEdmNavigationPropertyView view)

      The method adds a navigation property view to its container.
      Parameters:
        `view` - is an instance of type `JPAEdmNavigationPropertyView`

    - #### getConsistentEdmNavigationProperties

          List<NavigationProperty> getConsistentEdmNavigationProperties()

      The method returns a consistent list of EDM navigation property. A navigation property is consistent only if all its mandatory properties can be built with no errors from Java persistence entity relationship.
      Returns:
        a list of consistent EDM navigation property for the Entity

    - #### getEdmNavigationProperty

          NavigationProperty getEdmNavigationProperty()

      The method returns the navigation property that is currently being processed.
      Returns:
        an instance of type `NavigationProperty`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.